Subject: RE: Authentication

From: David Burdett <[email-masked]>
Date: Thu, 25 Feb 1999 16:32:15 -0000

Authentication can be done by the Consumer, Payment Handler or Delivery
Handler.

Effectively the Consumer, Payment Handler or Delivery Handler does a
stand-alone authentication transaction after interrupting whatever other
transaction is going on and then restarts the original transaction and
finishes it if the authentication was OK and cancels it if it was not.

I agree though that the specification is specifically state that this is
possible and I will add some further explanation.

David

>----------
>From: 	Andrew Drapp[SMTP:[email-masked]]
>Sent: 	24 February 1999 22:22
>To: 	[email-masked]'
>Subject: 	Authentication
>
>
>I've been going over chapter 8 in the 1.0.1 version of the
>spec and I have a couple of comments.
>
>From reading the document, it appears that Authentication can
>only be performed by the Merchant, authenticating the consumer.
>Each of the examples seems to support that conclusion.
>
>From discussions in Tokyo and Ft. Lauderdale, it was generally
>decided that Authentication could be done at any time, and by
>any party.  Can we add something to the spec to make that a 
>little bit more clear? 
>
>Also, it would be nice if we added the following examples:
>
>1.  Consumer authenticates payment handler before starting the
>payment exchange.
>
>2.  Payment handler authenticates the consumer during the 
>payment exchange.
>
>Regards,
>
>Andrew Drapp
>
>--
>Andrew Drapp
>[email-masked]
>Systems Development Laboratory, Hitachi Ltd.
>Ozenji 1099, Asao, Kawasaki, 215-0013 JAPAN
>TEL:+81-44-966-9111   FAX:+81-44-966-1796
>PGP Fingerprint: 84D8 3D19 018E 9385 6581  0081 C89C D2AD F06A 565F
>
>-----------------------------------------------------------------------
>Message addressed to: [email-masked]
>Archive available at: http://www.elistx.com/archives/ietf-trade/
>To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
>body to: [email-masked]
>
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]